Bildirim işleyicileri
GET https://serpmax.ru/api/notification-handlers/
curl --request GET \
--url 'https://serpmax.ru/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://serpmax.ru/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| search | İsteğe bağlı Metin | Arama metni. |
| search_by | İsteğe bağlı Metin | Hangi alana göre arama yapılacağı. İzin verilen değerler: name. |
| is_enabled | İsteğe bağlı Boolean | |
| type | İsteğe bağlı Metin | Hangi alana göre arama yapılacağı. İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | İsteğe bağlı Metin | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Metin | Bu tarih ve saatten itibaren sonuçları filtrele. Y-m-d H:i:s formatı. |
| datetime_end | İsteğe bağlı Metin | Bu tarih ve saate kadar olan sonuçları filtrele. Y-m-d H:i:s formatı. |
| order_by | İsteğe bağlı Metin | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı Metin | Sonuçların sıralama şekli. İzin verilen değerler: Artan sıralama için ASC ve azalan sıralama için DESC. |
| page | İsteğe bağlı Tam Sayı | Sonuçlarını almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe bağlı Tam Sayı | Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-08 18:49:55",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://serpmax.ru/api/notification-handlers?page=1",
"last": "https://serpmax.ru/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://serpmax.ru/api/notification-handlers?page=1"
}
}
GET https://serpmax.ru/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-08 18:49:55",
}
}
POST https://serpmax.ru/api/notification-handlers
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| name | Zorunlu Metin | - |
| type | Zorunlu Metin | İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams |
| İsteğe bağlı Metin | Şu durumda kullanılabilir: type = email E-posta Adresi | |
| webhook | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = webhook Web Kancası URL'si |
| slack | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = slack Slack Web Kancası URL'si |
| discord | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = discord Discord Web Kancası URL'si |
| telegram | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = telegram Telegram Bot API Anahtarı |
| telegram_chat_id | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = telegram Telegram Sohbet Kimliği |
| microsoft_teams | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = microsoft_teams Microsoft Teams Web Kancası URL'si |
curl --request POST \
--url 'https://serpmax.ru/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://serpmax.ru/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://serpmax.ru/api/notification-handlers/{notification_handler_id}
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| name | İsteğe bağlı Metin | - |
| type | İsteğe bağlı Metin | İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams |
| İsteğe bağlı Metin | Şu durumda kullanılabilir: type = email E-posta Adresi | |
| webhook | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = webhook Web Kancası URL'si |
| slack | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = slack Slack Web Kancası URL'si |
| discord | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = discord Discord Web Kancası URL'si |
| telegram | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = telegram Telegram Bot API Anahtarı |
| telegram_chat_id | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = telegram Telegram Sohbet Kimliği |
| microsoft_teams | İsteğe bağlı Metin | Şu durumda kullanılabilir: type = microsoft_teams Microsoft Teams Web Kancası URL'si |
| is_enabled | İsteğe bağlı Boolean | - |
curl --request POST \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://serpmax.ru/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \